Subject: Re: bug#16364: auto-compile noise can't be avoided by script

From: Zefram <[email-masked]>
Date: Fri, 17 Jan 2014 21:56:09 +0000

Ludovic Courtes wrote:
>However, you can set the environment variable GUILE_AUTO_COMPILE=0.
>
>Do you think that would solve the problem?

It does not solve the problem.  Firstly, it can't be done from the
#! line at all, so the script can't do it early enough.  It only works
if it's already been set by the user, which is no good for what should
be an internal detail of the program.  Secondly, it suffers the second
problem that I noted with --no-auto-compile: if there's already a cached
compilation then that'll be looked at, and if it's out of date then a
"newer than" banner is emitted.  With the environment variable set the
cached version will never be updated, nor will it be deleted, so the
banner then appears on every execution.

-zefram